/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlValue;

@XmlAccessorType(XmlAccessType.FIELD)
public class FeatureStatistics implements Serializable {

	private static final long serialVersionUID = 5794335930507488398L;

	@XmlAttribute
	private int numChecked;
	
	@XmlValue
	private int numErrors;
	
	public FeatureStatistics() {
	}
	
	public FeatureStatistics(int numChecked, int numErrors) {
		this.numChecked = numChecked;
		this.numErrors = numErrors;
	}

	public void setNumChecked(int numChecked) {
		this.numChecked = numChecked;
	}
	
	public void setNumErrors(int numErrors) {
		this.numErrors = numErrors;
	}
	
	public int getNumChecked() {
		return numChecked;
	}
	
	public int getNumErrors() {
		return numErrors;
	}

	@Override
	public String toString() {
		return "FeatureStatistics [numChecked=" + numChecked + ", numErrors=" + numErrors + "]";
	}
}
