/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "GE_P_INNER_RINGS_NESTED")
public class InnerRingsNestedType extends ValidationErrorType {

	private String polygonId;
	private String linearRingId1;
	private String linearRingId2;

	public void setPolygonId(String polygonId) {
		this.polygonId = polygonId;
	}

	public void setLinearRingId1(String linearRingId1) {
		this.linearRingId1 = linearRingId1;
	}

	public void setLinearRingId2(String linearRingId2) {
		this.linearRingId2 = linearRingId2;
	}

	public String getPolygonId() {
		return polygonId;
	}

	public String getLinearRingId1() {
		return linearRingId1;
	}

	public String getLinearRingId2() {
		return linearRingId2;
	}

}
