/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "GE_S_MULTIPLE_CONNECTED_COMPONENTS")
public class MultipleConnectedComponentsType extends ValidationErrorType {
	
	private String geometryId;
	
	@XmlElementWrapper
	@XmlElement(name = "component")
	private List<Component> components;
	
	public void setGeometryId(String geometryId) {
		this.geometryId = geometryId;
	}
	
	public String getGeometryId() {
		return geometryId;
	}
	
	public boolean isSetComponents() {
		return components != null && !components.isEmpty();
	}
	
	public List<Component> getComponents() {
		if (components == null) {
			components = new ArrayList<>();
		}
		return components;
	}

}
