/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import javax.xml.bind.annotation.XmlRootElement;

import net.opengis.gml.DirectPositionType;

@XmlRootElement(name = "GE_S_NON_MANIFOLD_VERTEX")
public class NonManifoldVertexType extends ValidationErrorType {

	private String geometryId;
	private DirectPositionType vertex;

	public void setGeometryId(String geometryId) {
		this.geometryId = geometryId;
	}

	public void setVertex(DirectPositionType vertex) {
		this.vertex = vertex;
	}

	public String getGeometryId() {
		return geometryId;
	}

	public DirectPositionType getVertex() {
		return vertex;
	}

}
