/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import javax.xml.bind.annotation.XmlRootElement;

import net.opengis.gml.DirectPositionType;
import net.opengis.gml.LengthType;

@XmlRootElement(name = "GE_P_NON_PLANAR_POLYGON_DISTANCE_PLANE")
public class NonPlanarDistancePlaneType extends ValidationErrorType {

	private String polygonId;
	private DirectPositionType vertex;
	private LengthType distance;

	public void setPolygonId(String polygonId) {
		this.polygonId = polygonId;
	}

	public void setVertex(DirectPositionType vertex) {
		this.vertex = vertex;
	}

	public void setDistance(LengthType distance) {
		this.distance = distance;
	}

	public String getPolygonId() {
		return polygonId;
	}

	public DirectPositionType getVertex() {
		return vertex;
	}

	public LengthType getDistance() {
		return distance;
	}

}
