/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

@XmlType(name = "parameter")
@XmlAccessorType(XmlAccessType.FIELD)
public class Parameter implements Serializable {

	private static final long serialVersionUID = 3704749975901280058L;

	@XmlAttribute(name = "name")
	private String name;

	@XmlAttribute(required = false)
	private String uom;

	@XmlValue
	private String value;

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public void setValue(String value) {
		this.value = value;
	}
	
	public String getUom() {
		return uom;
	}
	
	public String getValue() {
		return value;
	}

	@Override
	public String toString() {
		return "ParameterType [name=" + name + ", uom=" + uom + ", value=" + value + "]";
	}

}
