/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import javax.xml.bind.annotation.XmlRootElement;

import net.opengis.gml.DirectPositionType;

@XmlRootElement(name = "GE_R_SELF_INTERSECTION")
public class RingSelfIntersectionType extends ValidationErrorType {

	private String linearRingId;
	private RingSelfIntType type;
	private EdgeType edge1;
	private EdgeType edge2;
	private DirectPositionType vertex1;
	private DirectPositionType vertex2;

	public void setLinearRingId(String linearRingId) {
		this.linearRingId = linearRingId;
	}

	public void setType(RingSelfIntType type) {
		this.type = type;
	}

	public void setEdge1(EdgeType edge1) {
		this.edge1 = edge1;
	}

	public void setEdge2(EdgeType edge2) {
		this.edge2 = edge2;
	}

	public void setVertex1(DirectPositionType vertex1) {
		this.vertex1 = vertex1;
	}
	
	public void setVertex2(DirectPositionType vertex2) {
		this.vertex2 = vertex2;
	}

	public String getLinearRingId() {
		return linearRingId;
	}

	public RingSelfIntType getType() {
		return type;
	}

	public EdgeType getEdge1() {
		return edge1;
	}

	public EdgeType getEdge2() {
		return edge2;
	}

	public DirectPositionType getVertex1() {
		return vertex1;
	}
	
	public DirectPositionType getVertex2() {
		return vertex2;
	}

}
