/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "GE_S_SELF_INTERSECTION")
public class SolidSelfIntersectionType extends ValidationErrorType {

	private String geometryId;
	private String polygonId1;
	private String polygonId2;

	public void setGeometryId(String geometryId) {
		this.geometryId = geometryId;
	}

	public void setPolygonId1(String polygonId1) {
		this.polygonId1 = polygonId1;
	}

	public void setPolygonId2(String polygonId2) {
		this.polygonId2 = polygonId2;
	}

	public String getGeometryId() {
		return geometryId;
	}

	public String getPolygonId1() {
		return polygonId1;
	}

	public String getPolygonId2() {
		return polygonId2;
	}

}
