/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "GE_R_TOO_FEW_POINTS")
public class TooFewPointsType extends ValidationErrorType {

	private String linearRingId;

	public void setLinearRingId(String linearRingId) {
		this.linearRingId = linearRingId;
	}

	public String getLinearRingId() {
		return linearRingId;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((linearRingId == null) ? 0 : linearRingId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TooFewPointsType other = (TooFewPointsType) obj;
		if (linearRingId == null) {
			if (other.linearRingId != null)
				return false;
		} else if (!linearRingId.equals(other.linearRingId))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "TooFewPoints [linearRingId=" + linearRingId + "]";
	}

}
