/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;

import net.opengis.gml.AbstractFeatureType;

public class ValidationResultType extends AbstractFeatureType {

	@XmlAttribute(name = "result")
	private ResultType result;

	@XmlElementRef
	private List<ValidationErrorType> errors;

	public List<ValidationErrorType> getErrors() {
		if (errors == null) {
			errors = new ArrayList<>(2);
		}
		return errors;
	}

	public void setResult(ResultType result) {
		this.result = result;
	}

	public ResultType getResult() {
		return result;
	}

	public boolean isSetErrors() {
		return errors != null && !errors.isEmpty();
	}

}
