/*-
 * Copyright 2020 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.quality.model.jaxb;

import java.time.ZonedDateTime;

import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import de.hft.stuttgart.quality.marshaller.ZonedDateTimeAdapter;
import net.opengis.gml.AbstractFeatureType;

@XmlType(name = "validation")
public class ValidationType extends AbstractFeatureType {

	@XmlJavaTypeAdapter(ZonedDateTimeAdapter.class)
	private ZonedDateTime validationDate;

	private String validationSoftware;
	
	private ValidationPlan validationPlan;
	
	private Statistics statistics;
	
	public void setStatistics(Statistics statistics) {
		this.statistics = statistics;
	}
	
	public Statistics getStatistics() {
		return statistics;
	}
	
	public void setValidationPlan(ValidationPlan validationPlan) {
		this.validationPlan = validationPlan;
	}
	
	public ValidationPlan getValidationPlan() {
		return validationPlan;
	}

	public ZonedDateTime getValidationDate() {
		return validationDate;
	}

	public void setValidationDate(ZonedDateTime validationDate) {
		this.validationDate = validationDate;
	}

	public String getValidationSoftware() {
		return validationSoftware;
	}

	public void setValidationSoftware(String validationSoftware) {
		this.validationSoftware = validationSoftware;
	}

}
